This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 53641 - When the connection pool is deleted the JDBC resources node should be refreshed
Summary: When the connection pool is deleted the JDBC resources node should be refreshed
Status: CLOSED FIXED
Alias: None
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 8 (show other bugs)
Version: 4.x
Hardware: PC Linux
: P3 blocker (vote)
Assignee: Nitya Doraisamy
URL:
Keywords: SIMPLEFIX
Depends on:
Blocks:
 
Reported: 2005-01-19 09:59 UTC by Petr Blaha
Modified: 2006-03-24 12:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Blaha 2005-01-19 09:59:30 UTC
[Build 20050118]
Steps:
1) in runtime tab, expand JDBC - Connection pools
2) select one connection pool node that has JDBC
resource
3) invoke delete
4) user is informed that JDBC reource will be
removed also
5) JDBC Reousources node isn't refreshed
I think that JDBC node should be refreshed so as
user can realize that correponding JDBC resource
was removed too.
Comment 1 Nitya Doraisamy 2005-03-25 21:33:19 UTC
Fixed in plugin. Will be pushed to Netbeans by Ludo by COB today. When
connection pool is deleted, dependent resources if any will be deleted. The
corresponding folders are refreshed so that the children list diaplyed is correct.
Comment 2 Petr Blaha 2005-04-14 09:01:59 UTC
[Build 20050413]